Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021258
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2012-07-31 10:252012-08-30 11:49
ReporterVictorVillarView Statuspublic 
Assigned Tojecharri 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision99174e84fb16
ProjectionnoneETAnoneTarget Version3.0MP15
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP13SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021258: If there are more quantity received than the quantity ordered, pending goods receipt still offers the purchase order

DescriptionIf there are more quantity received than the quantity ordered, pending goods receipt window still offers the purchase order
Steps To ReproduceAs group admin role,
Go to Purchase Order window,
  Create a new register for Organization US
    Go to Lines tab:
       Product: Cola
       qty: 270
Go to Pending Goods Receipt window,
   search by US Organization
 Check the Order created before
    received: 300
Process it.
realise that the process creates a new goods receipt document.
If users refresh the pending goods receipt window, the order created before still is showed, the proposition is -30.
This is wrong, if the Goods receipt qty is higher than Purchase Order qty, the pending goods receipt window should not offers the purchase.
Proposed Solutionif the Goods receipt qty is higher than Purchase Order qty, the pending goods receipt window should not offers the purchase.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0051142)
hgbot (developer)
2012-08-07 13:39

Repository: erp/devel/pi
Changeset: 3d6b662ae10c9f6b7b8422fe6b727701160ffe22
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Aug 07 13:39:14 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3d6b662ae10c9f6b7b8422fe6b727701160ffe22 [^]

Fixes issue 21258: If there are more quantity received than the quantity ordered
, pending goods receipt still offers the purchase order

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending_data.xsql
---
(0051143)
jecharri (developer)
2012-08-07 13:47

Test cases:
-create a purchase order with qty 10:
+go to "Pending Goods Receipt"
+receive 10 and process
+no more is available

-create a purchase order with qty 10:
+go to "Pending Goods Receipt"
+receive 9 and process
+Is available with qty 1

-create a purchase order with qty 10:
+go to "Pending Goods Receipt"
+receive 20 and process
+no more is available

-create a purchase order with qty 10:
+go to "Pending Goods Receipt"
+receive -10 and process
+is available with qty 20
-------------------------------------------------------
Test cases:
-create a purchase order with qty -10:
+go to "Pending Goods Receipt"
+receive -10 and process
+no more is available

-create a purchase order with qty -10:
+go to "Pending Goods Receipt"
+receive -9 and process
+Is available with qty -1

-create a purchase order with qty -10:
+go to "Pending Goods Receipt"
+receive -20 and process
+no more is available

-create a purchase order with qty -10:
+go to "Pending Goods Receipt"
+receive 10 and process
+is available with qty -20
(0051173)
hgbot (developer)
2012-08-08 14:07

Repository: erp/devel/pi
Changeset: 435936653f608b51f136c9da9e4c225c365bc33d
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Aug 08 14:05:56 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/435936653f608b51f136c9da9e4c225c365bc33d [^]

issue 21258: If there are more quantity received than the quantity ordered

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending_data.xsql
---
(0051175)
hgbot (developer)
2012-08-08 14:43

Repository: erp/devel/pi
Changeset: 99174e84fb164272ddf9b6aedf0d6dae1a666a58
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Wed Aug 08 14:37:35 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/99174e84fb164272ddf9b6aedf0d6dae1a666a58 [^]

Fixes issue 21258: If there are more quantity received than the quantity ordered
, pending goods receipt still offers the purchase order

---
M src/org/openbravo/erpCommon/ad_forms/MaterialReceiptPending_data.xsql
---
(0051672)
VictorVillar (developer)
2012-08-30 11:49

verified

- Issue History
Date Modified Username Field Change
2012-07-31 10:25 VictorVillar New Issue
2012-07-31 10:25 VictorVillar Assigned To => mirurita
2012-07-31 10:25 VictorVillar Modules => Core
2012-07-31 10:25 VictorVillar Issue Monitored: networkb
2012-07-31 10:25 VictorVillar Target Version 3.0MP14 => 3.0MP15
2012-07-31 11:46 naiaramartinez Assigned To mirurita => jonalegriaesarte
2012-08-06 11:53 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2012-08-07 13:39 hgbot Checkin
2012-08-07 13:39 hgbot Note Added: 0051142
2012-08-07 13:39 hgbot Status new => resolved
2012-08-07 13:39 hgbot Resolution open => fixed
2012-08-07 13:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3d6b662ae10c9f6b7b8422fe6b727701160ffe22 [^]
2012-08-07 13:47 jecharri Note Added: 0051143
2012-08-08 14:07 hgbot Checkin
2012-08-08 14:07 hgbot Note Added: 0051173
2012-08-08 14:43 hgbot Checkin
2012-08-08 14:43 hgbot Note Added: 0051175
2012-08-08 14:43 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/3d6b662ae10c9f6b7b8422fe6b727701160ffe22 [^] => http://code.openbravo.com/erp/devel/pi/rev/99174e84fb164272ddf9b6aedf0d6dae1a666a58 [^]
2012-08-30 11:49 VictorVillar Note Added: 0051672
2012-08-30 11:49 VictorVillar Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker